package com.example.mynotepad.Menu;

import android.content.Context;
import android.content.Intent;
import android.util.AttributeSet;
import android.view.View;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.example.mynotepad.MenuFeatures.AllAchievedNotes.AchivedNotesActivity;
import com.example.mynotepad.MenuFeatures.AllNotes.AllNotesActivity;
import com.example.mynotepad.MenuFeatures.Setting.SettingActivity;
import com.example.mynotepad.R;
import com.google.android.material.snackbar.Snackbar;

public class CustomMenu extends LinearLayout implements View.OnClickListener {
    private View rootView;
    private TextView settingTv, allNotesTv, achievedTv;
    private ImageView img;

    public CustomMenu(Context context) {
        super(context);
        init(context);
    }

    public CustomMenu(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }


    private void init(Context context) {
        rootView = inflate(context, R.layout.custom_menu, this);
        settingTv = findViewById(R.id.settingTxt);
        allNotesTv = findViewById(R.id.allNotesTxt);
        achievedTv = findViewById(R.id.achievedTxt);
        img = findViewById(R.id.imageView5);

        settingTv.setOnClickListener(this);
        allNotesTv.setOnClickListener(this);
        achievedTv.setOnClickListener(this);
        img.setOnClickListener(this);
    }

    @Override
    public void onClick(View view) {
        if (view.getId() == settingTv.getId()) {
            showSetting();
        } else if (view.getId() == allNotesTv.getId()) {
            showAllNotes();
        } else if (view.getId() == achievedTv.getId()) {
            showAchieved();
        } else if (view.getId() == img.getId()) {
            Snackbar.make(view, "this is zahra's app ;)", Snackbar.LENGTH_LONG).setAction("Action", null).show();
        } else {
            this.setVisibility(this.GONE);
        }
    }

    private void showAchieved() {
        Intent newIntent = new Intent(getContext(), AchivedNotesActivity.class);
        getContext().startActivity(newIntent);
    }

    private void showSetting() {
        Intent newIntent = new Intent(getContext(), SettingActivity.class);
        getContext().startActivity(newIntent);
    }

    private void showAllNotes() {
        Intent newIntent = new Intent(getContext(), AllNotesActivity.class);
        getContext().startActivity(newIntent);
    }
}
